> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clicks

> Get click analytics by origin



## OpenAPI

````yaml GET /clicks
openapi: 3.0.1
info:
  title: Konvo API
  description: Access to your contact, broadcast, attribution & clicks data
  license:
    name: MIT
  version: 0.0.1
servers:
  - url: https://api.konvoai.com
security:
  - apiKeyAuth: []
paths:
  /clicks:
    get:
      description: Get click analytics by origin
      parameters:
        - name: created_at_min
          in: query
          description: Filter by clicks occurring after a certain date
          schema:
            type: string
        - name: created_at_max
          in: query
          description: Filter by clicks occurring before a certain date
          schema:
            type: string
        - name: contact
          in: query
          description: Fetch attributions specifically for one contact by ID
          schema:
            type: string
        - name: originId
          in: query
          description: Query by specific origin ID (Broadcast, Flow)
          schema:
            type: string
      responses:
        '200':
          description: Get clicks response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClickResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ClickResponse:
      type: object
      properties:
        count:
          description: Total count of the request
          type: integer
        result:
          description: Resulting query
          type: array
          items:
            $ref: '#/components/schemas/Click'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Click:
      properties:
        ip_address:
          type: string
          example: 127.0.0.1
        device:
          type: string
          example: Applemobile
        operating_system:
          type: string
          example: iOS
        browser:
          type: string
          example: Chrome
        country:
          type: string
          example: DE
        region:
          type: string
          example: BE
        city:
          type: string
          example: Berlin
        lat_long:
          type: string
          example: 52.5363,13.4169
        timezone:
          type: string
          example: Europe/Berlin
        id:
          type: string
          example: 1d2686c1-7342-475a-ba38-e13364807343
        workspace_id:
          type: string
          example: fb58e7a6-ae93-4adb-ba11-bae1a6d574d7
        channel:
          type: string
          example: whatsapp
        resource_id:
          type: string
          example: u0IwaLEG1a
        external_user_id:
          type: string
          example: '15557368765'
        contact_id:
          type: string
          example: dda91016-f97b-4f04-a696-27ddbd15ef27
        created_at:
          type: string
          example: '2024-08-02T12:31:25.749Z'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````